#ifndef DRIVER_ADNS2610_H
#define DRIVER_ADNS2610_H

#include <stdint.h>

void ADNS_reset(void);
void ADNS_write(uint8_t address, uint8_t data);
uint8_t ADNS_read(uint8_t address);

#define ARRAY_WIDTH		18
#define ARRAY_HEIGHT	18

//#define Motion			0x02
#define Delta_X			0x03
#define Delta_Y			0x02
#define squal			0x04
#define Shutter_Upper	0x09
#define Shutter_Lower	0x0a
#define Maximum_Pixel	0x05
#define Pixel_Sum		0x07
#define Minimum_Pixel	0x06
#define Pixel_Grab		0x08
#define	Mask_pixel_value	0x3f
#define	Pixel_data_valid	0x40
#define	delay_tSWW		100
#define	delay_tSRAD		100

#endif
