#ifndef DRIVER_ARDUINO_NANO_H
#define DRIVER_ARDUINO_NANO_H

#include <stdint.h>

void configurePinAsOutput(int pin);
void configurePinAsInput(int pin);
void setPin(int pin);
void resetPin(int pin);

void SPI_init(void);
void SPI_nCS_LOW(void);
void SPI_nCS_HIGH(void);
void SPI_SDIO_Mode_INPUT(void);
void SPI_SDIO_Mode_OUTPUT(void);
uint8_t SPI_receive(void);
void SPI_write(uint8_t data);

void delay_ms();
void delay_us();

#endif // DRIVER_ARDUINO_NANO_H
