#ifndef DRIVER_ADNS5020_H
#define DRIVER_ADNS5020_H

#include <stdint.h>

#define ARRAY_WIDTH		15
#define ARRAY_HEIGHT	15

#define Motion			0x02
#define Delta_X			0x03
#define Delta_Y			0x04
#define squal			0x05
#define Shutter_Upper	0x06
#define Shutter_Lower	0x07
#define Maximum_Pixel	0x08
#define Pixel_Sum		0x09
#define Minimum_Pixel	0x0a
#define Pixel_Grab		0x0b
#define	Mask_pixel_value	0x7f
#define	Pixel_data_valid	0x80
#define	delay_tSWW		30
#define	delay_tSRAD		4

#endif
