#ifndef MCU_DRIVER_SAMPLE_H
#define MCU_DRIVER_SAMPLE_H

void configurePinAsOutput();
void configurePinAsInput();
void setPin();
void resetPin();

void SPI_init();
uint8_t SPI_read(uint8_t address); //returns data
void SPI_write(uint8_t address, uint8_t data);
#ifdef SPI_BULK_READ
void SPI_bulk_read(uint8_t address, uint8_t *buf, uint8_t nBytes);
#endif //#ifdef SPI_BULK_READ

void delay_ms();
void delay_us();

#endif // MCU_DRIVER_SAMPLE_H
